curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "dropdown",
"text": "Seed"
}
'{
"type": "dropdown",
"id": 4,
"text": "Seed"
}Lists
Create a dropdown option for a List Field
| ⚠️ This endpoint is currently in BETA |
|---|
Create a dropdown option for a List Field.
Note: Creating dropdown options on status fields is not yet supported. Requests where
fieldId refers to a status field will return a 400 error.
POST
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "dropdown",
"text": "Seed"
}
'{
"type": "dropdown",
"id": 4,
"text": "Seed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
List ID
Required range:
1 <= x <= 9007199254740991Field ID
Example:
"field-1234"
Body
application/json
Response
Created
- dropdownOptions.DropdownOption
- dropdownOptions.RankedDropdownOption
Was this page helpful?